# $Revision: 1.5 $, $Date: 2004/08/18 20:35:43 $
Summary:	Additional module for GPG containing the IDEA cipher
Summary(pl):	Dodatkowy modu do GPG zawierajcy obsug algorytmu IDEA
Name:		gnupg-plugin-idea
# gnupgext_version in idea.c
Version:	1.11
Release:	3
License:	BSD-like
Group:		Applications/File
Source0:	http://www.gnupg.dk/contrib-dk/idea.c.gz
# Source0-md5:	9dc3bc086824a8c7a331f35e09a3e57f
Icon:		gnupg.gif
URL:		http://www.gnupg.org/
Requires:	gnupg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gnupg-i

%description
Additional module for GNU Privacy Guard containing the IDEA cipher.

%description -l pl
Dodatkowy modu do GNU Privacy Guard zawierajcy obsug algorytmu
IDEA.

%prep
%setup -q -c -T
cp -f %{SOURCE0} .
gzip -d idea.c.gz

%build
%{__cc} -Wall %{rpmcflags} %{rpmldflags} -shared -fPIC -o idea idea.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gnupg

install idea $RPM_BUILD_ROOT%{_libdir}/gnupg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnupg/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnupg-plugin-idea.spec,v $
Revision 1.5  2004/08/18 20:35:43  undefine
- release 3

Revision 1.4  2003/09/16 08:34:50  adamg
- md5 sum added

Revision 1.3  2003/07/01 10:06:23  wiget
- release 2

Revision 1.2  2003/05/25 05:48:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/09/30 06:26:31  kloczek
- rename gnupg-i -> gnupg-plugin-idea.

